Get Volume Endpoint
GET /v1/volumes/{volume_id}
Authentication
Requires authentication via: OAuth2PasswordBearer.
Parameters
| Name | In | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
volume_id | path | string | Yes | ||
refresh_usage | query | boolean | No | default=false | |
X-API-Key | header | string | null | No | nullable |
Responses
200
Successful Response
application/json
Resolved schema:
{
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"name": {
"type": "string",
"title": "Name"
},
"quota_bytes": {
"type": "integer",
"title": "Quota Bytes"
},
"used_bytes": {
"type": "integer",
"title": "Used Bytes"
},
"status": {
"type": "string",
"title": "Status"
},
"created_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Created At"
},
"updated_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Updated At"
}
},
"type": "object",
"required": [
"id",
"name",
"quota_bytes",
"used_bytes",
"status"
],
"title": "VolumeResponse"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | string | Yes | ||
name | string | Yes | ||
quota_bytes | integer | Yes | ||
used_bytes | integer | Yes | ||
status | string | Yes | ||
created_at | string | null | No | format=date-time, nullable | |
updated_at | string | null | No | format=date-time, nullable |
422
Validation Error
application/json
Resolved schema:
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
detail | array<object> | No | ||
detail[] | object | No | ||
detail[].loc | array<string | integer> | No | ||
detail[].loc[] | string | integer | No | ||
detail[].msg | string | No | ||
detail[].type | string | No |